This call returns information about the Workflow Execution Service on this platform.
https://cavatica-ga4gh-api.sbgenomics.com/ga4gh/wes/v1/service-infoRequest
Example request
GET /ga4gh/wes/v1/service-info HTTP/1.1
Host: cavatica-ga4gh-api.sbgenomics.comcurl --location --request GET 'https://cavatica-ga4gh-api.sbgenomics.com/ga4gh/wes/v1/service-info' \
--header 'X-SBG-Auth-Token: 55e9691c111146d384c5ec40a9f97fc0'Response
See a list of response codes that may be contained in the body of the response.
Response body
| Name | Data type | Description |
|---|---|---|
id | string | Unique ID of this service. |
name | string | Human readable name of this service. |
type | object (ServiceType) | Type of a GA4GH service.
|
description | string | Human readable description of the service. |
organization | object | Organization providing the service.
|
documentationUrl | string <uri> | URL of the documentation of this service. This documentation will help user learn how to use the service, including specifics of the implementation and information on authentication and authorization. |
version | string | Version of the service being described. The versioning system used is <WES-version>.<SB-revision>. The version is changed whenever the service is updated. |
workflow_type_versions | object | Available workflow types and versions supported by this service. |
supported_wes_versions | Array of strings | The version(s) of the WES schema supported by this service. |
